# $Revision: 1.38 $, $Date: 2010/05/23 17:48:53 $
#
%define		qtver	4.6.2
%define		kdever	4.4.0

Summary:	Library KIPI plugins
Summary(pl.UTF-8):	Wtyczki dla biblioteki KIPI
Name:		kipi-plugins
Version:	1.2.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
# Source0-md5:	f11471f680f8efde2fa72b76b68134be
URL:		http://www.kipi-plugins.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	exiv2-devel >= 0.12
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdegraphics-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdepimlibs-devel >= %{kdever}
BuildRequires:	libgpod-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	libxslt-devel
BuildRequires:	opencv-devel
BuildRequires:	pkgconfig
BuildRequires:	qca-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sane-backends-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library KIPI plugins.

%description -l pl.UTF-8
Wtyczki dla biblioteki KIPI.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/xx

%find_lang kipiplugin --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kipiplugin.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/dngconverter
%attr(755,root,root) %{_bindir}/expoblending
%attr(755,root,root) %{_bindir}/scangui
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_acquireimages.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_advancedslideshow.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_batchprocessimages.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_calendar.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_dngconverter.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_expoblending.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_facebook.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_flashexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_flickrexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_galleryexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_gpssync.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_htmlexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_imageviewer.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_ipodexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_jpeglossless.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_kioexportimport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_metadataedit.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_picasawebexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_piwigoexport.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_printimages.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_rawconverter.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_removeredeyes.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_sendimages.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_shwup.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_smug.so
%attr(755,root,root) %{_libdir}/kde4/kipiplugin_timeadjust.so
%attr(755,root,root) %{_libdir}/libkipiplugins.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkipiplugins.so.1
#%{_datadir}/apps/kipiplugin_advancedslideshow
%{_datadir}/apps/kipiplugin_expoblending
#%{_datadir}/apps/kipiplugin_facebook
%{_datadir}/apps/kipiplugin_flashexport
#%{_datadir}/apps/kipiplugin_flickrexport
%{_datadir}/apps/kipiplugin_galleryexport
%{_datadir}/apps/kipiplugin_htmlexport
%{_datadir}/apps/kipiplugin_imageviewer
%{_datadir}/apps/kipiplugin_metadataedit
#%{_datadir}/apps/kipiplugin_picasawebexport
%{_datadir}/apps/kipiplugin_piwigoexport
%{_datadir}/apps/kipiplugin_printimages
%{_datadir}/apps/kipiplugin_removeredeyes
#%{_datadir}/apps/kipiplugin_smug
%{_datadir}/kde4/services/kipiplugin_*.desktop
%{_desktopdir}/kde4/dngconverter.desktop
%{_desktopdir}/kde4/kipiplugins.desktop
%{_desktopdir}/kde4/expoblending.desktop
%{_desktopdir}/kde4/scangui.desktop
%{_iconsdir}/hicolor/*/actions/*
%{_iconsdir}/oxygen/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kipi-plugins.spec,v $
Revision 1.38  2010/05/23 17:48:53  arekm
- up to 1.2.0

Revision 1.37  2010/02/28 22:08:02  hawk
- release 2

Revision 1.36  2010/02/24 10:33:33  shadzik
- up to 1.0.0
- proper URL
- add BR versions
- adjust %files
- add CMAKE_BUILD_TYPE

Revision 1.35  2010/02/06 00:02:19  sparky
- dropped unused BR: libgphoto2-devel, xorg-lib-libXt-devel

Revision 1.34  2010/02/05 12:38:11  arekm
- release 3

Revision 1.33  2010/01/29 20:00:05  arekm
- release 2

Revision 1.32  2010/01/09 16:48:12  sparky
- BR: qca-devel

Revision 1.31  2010/01/08 13:05:25  arekm
- one more pluin

Revision 1.30  2009/11/21 23:20:09  sparky
- %{_iconsdir}/hicolor/*/actions/ dirs belong to hicolor-icon-theme
- %{_iconsdir}/oxygen/*/apps/ dirs belong to kde-common-dirs

Revision 1.29  2009/11/04 14:30:18  arekm
- up to 0.8.0

Revision 1.28  2009/10/04 11:43:26  arekm
- up to 0.7.0

Revision 1.27  2009/07/26 19:23:31  arekm
- up to 0.5.0

Revision 1.26  2009/07/12 03:26:08  arekm
- release 3

Revision 1.25  2009/07/05 19:48:30  arekm
- rel 2

Revision 1.24  2009/07/03 16:52:33  arekm
- up to 0.4.0

Revision 1.23  2009/03/18 21:40:48  arekm
- move from DEVEL

Revision 1.15.2.18  2009/03/18 21:39:19  arekm
- up to 0.2.0

Revision 1.15.2.17  2009/03/08 11:12:31  paszczus
- updated to 0.2.0-rc2

Revision 1.15.2.16  2009/01/14 07:55:21  paszczus
- updated to 0.2.0-beta6

Revision 1.15.2.15  2008/12/06 21:13:51  paszczus
- updated to 0.2.0 beta4

Revision 1.15.2.14  2008/11/24 18:30:04  shadzik
- other qt4 BRs depend on qtver too

Revision 1.15.2.13  2008/11/24 18:28:59  shadzik
- added some Qt BRs

Revision 1.15.2.12  2008/11/24 18:23:54  shadzik
- BR cmake

Revision 1.15.2.11  2008/11/24 18:22:44  shadzik
- verbose plugins

Revision 1.15.2.10  2008/11/24 18:14:47  shadzik
- missing %build section

Revision 1.15.2.9  2008/11/24 18:14:07  shadzik
- cleanup BR mess

Revision 1.15.2.8  2008/11/24 17:56:52  paszczus
- added BR: kde4-kdegraphics-devel

Revision 1.15.2.7  2008/11/24 17:54:22  paszczus
- updated BRs

Revision 1.15.2.6  2008/11/24 17:45:13  paszczus
- fixed %install section
- updated %files

Revision 1.15.2.5  2008/11/24 14:06:26  paszczus
- updated BRs

Revision 1.15.2.4  2008/11/24 14:03:33  paszczus
- started update to 0.2.0
